> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seamind.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Crew Performers

> Top 5 and bottom 5 performers by average score.



## OpenAPI

````yaml /openapi.json get /api/v1/learn/admin/analytics/crew-performers
openapi: 3.1.0
info:
  title: Seamind Backend
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/learn/admin/analytics/crew-performers:
    get:
      tags:
        - learn-admin-analytics
      summary: Get Crew Performers
      description: Top 5 and bottom 5 performers by average score.
      operationId: get_crew_performers_api_v1_learn_admin_analytics_crew_performers_get
      parameters:
        - name: ship_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Ship Id
        - name: course_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Course Id
        - name: role
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Role
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrewPerformersResponseDTO'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    CrewPerformersResponseDTO:
      properties:
        fleetAvg:
          type: number
          title: Fleetavg
        data:
          items:
            $ref: '#/components/schemas/CrewPerformerDTO'
          type: array
          title: Data
      type: object
      required:
        - fleetAvg
        - data
      title: CrewPerformersResponseDTO
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    CrewPerformerDTO:
      properties:
        name:
          type: string
          title: Name
        avgScore:
          type: number
          title: Avgscore
        group:
          type: string
          title: Group
      type: object
      required:
        - name
        - avgScore
        - group
      title: CrewPerformerDTO
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````